<?php

namespace App\Http\Middleware\Solicitor;

use App\Models\Solicitor\Solicitor;
use Closure;

class PassTenantThroughToView {
    /**
     * Handle an incoming request.
     *
     * @param \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response) $next
     */
    public function handle($request, Closure $next) {
        view()->share('solicitor', app(Solicitor::class));

        return $next($request);
    }
}
